SDL_SemValue(3)

NAME
SDL_SemValue - Return the current value of a semaphore.

SYNOPSIS

#include "SDL.h" #include "SDL/SDL_thread.h"

Uint32 SDL_SemValue(SDL_sem *sem);

DESCRIPTION

SDL_SemValue() returns the current semaphore value from the semaphore pointed to by sem.

RETURN VALUE

Returns current value of the semaphore.

EXAMPLES

  sem_value = SDL_SemValue(my_sem);

SEE ALSO

SDL_CreateSemaphore, SDL_DestroySemaphore, SDL_SemWait, SDL_SemTryWait, SDL_SemWaitTimeout, SDL_SemPost